import{s as ge,n as xe,o as Te}from"../chunks/scheduler.9bc65507.js";import{S as we,i as Pe,g as o,s as l,r as pe,A as _e,h as i,f as t,c as r,j as $,u as ue,x as s,k as h,y as d,a,v as ce,d as de,t as fe,w as me}from"../chunks/index.707bf1b6.js";import{I as ve}from"../chunks/IconCopyLink.d239c2d1.js";function Ce(Y){let p,H,u,f,D,v,F,M,X="DialoGPT",S,c,m,k,g,U,L,Z="Overview",A,x,K=`DialoGPT was proposed in <a href="https://arxiv.org/abs/1911.00536" rel="nofollow">DialoGPT: Large-Scale Generative Pre-training for Conversational Response Generation</a> by Yizhe Zhang, Siqi Sun, Michel Galley, Yen-Chun Chen, Chris Brockett, Xiang Gao,
Jianfeng Gao, Jingjing Liu, Bill Dolan. It’s a GPT2 Model trained on 147M conversation-like exchanges extracted from
Reddit.`,E,T,Q="The abstract from the paper is the following:",N,w,V=`<em>We present a large, tunable neural conversational response generation model, DialoGPT (dialogue generative pre-trained
transformer). Trained on 147M conversation-like exchanges extracted from Reddit comment chains over a period spanning
from 2005 through 2017, DialoGPT extends the Hugging Face PyTorch transformer to attain a performance close to human
both in terms of automatic and human evaluation in single-turn dialogue settings. We show that conversational systems
that leverage DialoGPT generate more relevant, contentful and context-consistent responses than strong baseline
systems. The pre-trained model and training pipeline are publicly released to facilitate research into neural response
generation and the development of more intelligent open-domain dialogue systems.</em>`,j,P,ee="Tips:",I,_,te=`<li>DialoGPT is a model with absolute position embeddings so it’s usually advised to pad the inputs on the right rather
than the left.</li> <li>DialoGPT was trained with a causal language modeling (CLM) objective on conversational data and is therefore powerful
at response generation in open-domain dialogue systems.</li> <li>DialoGPT enables the user to create a chat bot in just 10 lines of code as shown on <a href="https://huggingface.co/microsoft/DialoGPT-medium" rel="nofollow">DialoGPT’s model card</a>.</li>`,q,C,ne="Training:",O,b,ae=`In order to train or fine-tune DialoGPT, one can use causal language modeling training. To cite the official paper: <em>We
follow the OpenAI GPT-2 to model a multiturn dialogue session as a long text and frame the generation task as language
modeling. We first concatenate all dialog turns within a dialogue session into a long text x_1,…, x_N (N is the
sequence length), ended by the end-of-text token.</em> For more information please confer to the original paper.`,R,y,oe='DialoGPT’s architecture is based on the GPT2 model, so one can refer to <a href="gpt2">GPT2’s documentation page</a>.',W,G,ie='The original code can be found <a href="https://github.com/microsoft/DialoGPT" rel="nofollow">here</a>.',z;return v=new ve({}),g=new ve({}),{c(){p=o("meta"),H=l(),u=o("h1"),f=o("a"),D=o("span"),pe(v.$$.fragment),F=l(),M=o("span"),M.textContent=X,S=l(),c=o("h2"),m=o("a"),k=o("span"),pe(g.$$.fragment),U=l(),L=o("span"),L.textContent=Z,A=l(),x=o("p"),x.innerHTML=K,E=l(),T=o("p"),T.textContent=Q,N=l(),w=o("p"),w.innerHTML=V,j=l(),P=o("p"),P.textContent=ee,I=l(),_=o("ul"),_.innerHTML=te,q=l(),C=o("p"),C.textContent=ne,O=l(),b=o("p"),b.innerHTML=ae,R=l(),y=o("p"),y.innerHTML=oe,W=l(),G=o("p"),G.innerHTML=ie,this.h()},l(e){const n=_e("svelte-1phssyn",document.head);p=i(n,"META",{name:!0,content:!0}),n.forEach(t),H=r(e),u=i(e,"H1",{class:!0});var J=$(u);f=i(J,"A",{id:!0,class:!0,href:!0});var le=$(f);D=i(le,"SPAN",{});var re=$(D);ue(v.$$.fragment,re),re.forEach(t),le.forEach(t),F=r(J),M=i(J,"SPAN",{"data-svelte-h":!0}),s(M)!=="svelte-g92069"&&(M.textContent=X),J.forEach(t),S=r(e),c=i(e,"H2",{class:!0});var B=$(c);m=i(B,"A",{id:!0,class:!0,href:!0});var se=$(m);k=i(se,"SPAN",{});var he=$(k);ue(g.$$.fragment,he),he.forEach(t),se.forEach(t),U=r(B),L=i(B,"SPAN",{"data-svelte-h":!0}),s(L)!=="svelte-1jsw1pg"&&(L.textContent=Z),B.forEach(t),A=r(e),x=i(e,"P",{"data-svelte-h":!0}),s(x)!=="svelte-1r5vgq6"&&(x.innerHTML=K),E=r(e),T=i(e,"P",{"data-svelte-h":!0}),s(T)!=="svelte-vfdo9a"&&(T.textContent=Q),N=r(e),w=i(e,"P",{"data-svelte-h":!0}),s(w)!=="svelte-7bhez3"&&(w.innerHTML=V),j=r(e),P=i(e,"P",{"data-svelte-h":!0}),s(P)!=="svelte-axv494"&&(P.textContent=ee),I=r(e),_=i(e,"UL",{"data-svelte-h":!0}),s(_)!=="svelte-1kdkvca"&&(_.innerHTML=te),q=r(e),C=i(e,"P",{"data-svelte-h":!0}),s(C)!=="svelte-1igpel8"&&(C.textContent=ne),O=r(e),b=i(e,"P",{"data-svelte-h":!0}),s(b)!=="svelte-1yc28b0"&&(b.innerHTML=ae),R=r(e),y=i(e,"P",{"data-svelte-h":!0}),s(y)!=="svelte-1m6wzbj"&&(y.innerHTML=oe),W=r(e),G=i(e,"P",{"data-svelte-h":!0}),s(G)!=="svelte-17b2666"&&(G.innerHTML=ie),this.h()},h(){h(p,"name","hf:doc:metadata"),h(p,"content",JSON.stringify(be)),h(f,"id","dialogpt"),h(f,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(f,"href","#dialogpt"),h(u,"class","relative group"),h(m,"id","overview"),h(m,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(m,"href","#overview"),h(c,"class","relative group")},m(e,n){d(document.head,p),a(e,H,n),a(e,u,n),d(u,f),d(f,D),ce(v,D,null),d(u,F),d(u,M),a(e,S,n),a(e,c,n),d(c,m),d(m,k),ce(g,k,null),d(c,U),d(c,L),a(e,A,n),a(e,x,n),a(e,E,n),a(e,T,n),a(e,N,n),a(e,w,n),a(e,j,n),a(e,P,n),a(e,I,n),a(e,_,n),a(e,q,n),a(e,C,n),a(e,O,n),a(e,b,n),a(e,R,n),a(e,y,n),a(e,W,n),a(e,G,n),z=!0},p:xe,i(e){z||(de(v.$$.fragment,e),de(g.$$.fragment,e),z=!0)},o(e){fe(v.$$.fragment,e),fe(g.$$.fragment,e),z=!1},d(e){e&&(t(H),t(u),t(S),t(c),t(A),t(x),t(E),t(T),t(N),t(w),t(j),t(P),t(I),t(_),t(q),t(C),t(O),t(b),t(R),t(y),t(W),t(G)),t(p),me(v),me(g)}}}const be={local:"dialogpt",sections:[{local:"overview",title:"Overview"}],title:"DialoGPT"};function ye(Y){return Te(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class $e extends we{constructor(p){super(),Pe(this,p,ye,Ce,ge,{})}}export{$e as component};
