import{s as Ht,n as Vt,o as jt}from"../chunks/scheduler.9bc65507.js";import{S as qt,i as Ut,g as r,s as i,r as c,A as Bt,h as a,f as t,c as m,j as d,u,x as g,k as l,y as n,a as o,v as f,d as p,t as h,w as v}from"../chunks/index.707bf1b6.js";import{D as $}from"../chunks/Docstring.4f78d428.js";import{I as ye}from"../chunks/IconCopyLink.d239c2d1.js";function Ft(lt){let b,xe,y,S,ve,I,Qe,se,it="General Utilities",we,H,mt="This page lists all of Transformers general utility functions that are found in the file <code>utils.py</code>.",Ee,V,dt="Most of those are only useful if you are studying the general code in the library.",Ne,x,T,ge,j,We,ne,ct="Enums and namedtuples",Ce,w,q,Xe,oe,ut="Enum with more explicit error message for missing values.",Pe,E,U,Ye,le,ft=`Possible values for the <code>padding</code> argument in <a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizerBase.<strong>call</strong>()</a>. Useful for tab-completion in an
IDE.`,ke,N,B,Ze,ie,pt=`Possible values for the <code>return_tensors</code> argument in <a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizerBase.<strong>call</strong>()</a>. Useful for
tab-completion in an IDE.`,Le,C,A,_e,F,et,me,ht="Special Decorators",Se,O,G,Te,J,K,Ae,R,Q,De,W,X,Me,Y,Z,ze,P,D,$e,ee,tt,de,vt="Special Properties",Ie,_,te,rt,ce,gt="Descriptor that mimics @property but caches output in member variable.",at,ue,_t="From tensorflow_datasets",st,fe,$t="Built-in in functools from Python 3.8.",He,k,M,be,re,nt,pe,bt="Other Utilities",Ve,L,ae,ot,he,yt="Module class that surfaces all objects but only performs associated imports when the objects are requested.",je;return I=new ye({}),j=new ye({}),q=new $({props:{name:"class transformers.utils.ExplicitEnum",anchor:"transformers.utils.ExplicitEnum",parameters:[{name:"value",val:""},{name:"names",val:" = None"},{name:"module",val:" = None"},{name:"qualname",val:" = None"},{name:"type",val:" = None"},{name:"start",val:" = 1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/generic.py#L426"}}),U=new $({props:{name:"class transformers.utils.PaddingStrategy",anchor:"transformers.utils.PaddingStrategy",parameters:[{name:"value",val:""},{name:"names",val:" = None"},{name:"module",val:" = None"},{name:"qualname",val:" = None"},{name:"type",val:" = None"},{name:"start",val:" = 1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/generic.py#L438"}}),B=new $({props:{name:"class transformers.TensorType",anchor:"transformers.TensorType",parameters:[{name:"value",val:""},{name:"names",val:" = None"},{name:"module",val:" = None"},{name:"qualname",val:" = None"},{name:"type",val:" = None"},{name:"start",val:" = 1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/generic.py#L449"}}),F=new ye({}),G=new $({props:{name:"transformers.add_start_docstrings",anchor:"transformers.add_start_docstrings",parameters:[{name:"*docstr",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/doc.py#L23"}}),K=new $({props:{name:"transformers.utils.add_start_docstrings_to_model_forward",anchor:"transformers.utils.add_start_docstrings_to_model_forward",parameters:[{name:"*docstr",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/doc.py#L31"}}),Q=new $({props:{name:"transformers.add_end_docstrings",anchor:"transformers.add_end_docstrings",parameters:[{name:"*docstr",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/doc.py#L53"}}),X=new $({props:{name:"transformers.utils.add_code_sample_docstrings",anchor:"transformers.utils.add_code_sample_docstrings",parameters:[{name:"*docstr",val:""},{name:"processor_class",val:" = None"},{name:"checkpoint",val:" = None"},{name:"output_type",val:" = None"},{name:"config_class",val:" = None"},{name:"mask",val:" = '[MASK]'"},{name:"qa_target_start_index",val:" = 14"},{name:"qa_target_end_index",val:" = 15"},{name:"model_cls",val:" = None"},{name:"modality",val:" = None"},{name:"expected_output",val:" = None"},{name:"expected_loss",val:" = None"},{name:"real_checkpoint",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/doc.py#L1064"}}),Z=new $({props:{name:"transformers.utils.replace_return_docstrings",anchor:"transformers.utils.replace_return_docstrings",parameters:[{name:"output_type",val:" = None"},{name:"config_class",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/doc.py#L1152"}}),ee=new ye({}),te=new $({props:{name:"class transformers.utils.cached_property",anchor:"transformers.utils.cached_property",parameters:[{name:"fget",val:" = None"},{name:"fset",val:" = None"},{name:"fdel",val:" = None"},{name:"doc",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/generic.py#L36"}}),re=new ye({}),ae=new $({props:{name:"class transformers.utils._LazyModule",anchor:"transformers.utils._LazyModule",parameters:[{name:"name",val:""},{name:"module_file",val:""},{name:"import_structure",val:""},{name:"module_spec",val:" = None"},{name:"extra_objects",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/import_utils.py#L1191"}}),{c(){b=r("meta"),xe=i(),y=r("h1"),S=r("a"),ve=r("span"),c(I.$$.fragment),Qe=i(),se=r("span"),se.textContent=it,we=i(),H=r("p"),H.innerHTML=mt,Ee=i(),V=r("p"),V.textContent=dt,Ne=i(),x=r("h2"),T=r("a"),ge=r("span"),c(j.$$.fragment),We=i(),ne=r("span"),ne.textContent=ct,Ce=i(),w=r("div"),c(q.$$.fragment),Xe=i(),oe=r("p"),oe.textContent=ut,Pe=i(),E=r("div"),c(U.$$.fragment),Ye=i(),le=r("p"),le.innerHTML=ft,ke=i(),N=r("div"),c(B.$$.fragment),Ze=i(),ie=r("p"),ie.innerHTML=pt,Le=i(),C=r("h2"),A=r("a"),_e=r("span"),c(F.$$.fragment),et=i(),me=r("span"),me.textContent=ht,Se=i(),O=r("div"),c(G.$$.fragment),Te=i(),J=r("div"),c(K.$$.fragment),Ae=i(),R=r("div"),c(Q.$$.fragment),De=i(),W=r("div"),c(X.$$.fragment),Me=i(),Y=r("div"),c(Z.$$.fragment),ze=i(),P=r("h2"),D=r("a"),$e=r("span"),c(ee.$$.fragment),tt=i(),de=r("span"),de.textContent=vt,Ie=i(),_=r("div"),c(te.$$.fragment),rt=i(),ce=r("p"),ce.textContent=gt,at=i(),ue=r("p"),ue.textContent=_t,st=i(),fe=r("p"),fe.textContent=$t,He=i(),k=r("h2"),M=r("a"),be=r("span"),c(re.$$.fragment),nt=i(),pe=r("span"),pe.textContent=bt,Ve=i(),L=r("div"),c(ae.$$.fragment),ot=i(),he=r("p"),he.textContent=yt,this.h()},l(e){const s=Bt("svelte-1phssyn",document.head);b=a(s,"META",{name:!0,content:!0}),s.forEach(t),xe=m(e),y=a(e,"H1",{class:!0});var qe=d(y);S=a(qe,"A",{id:!0,class:!0,href:!0});var xt=d(S);ve=a(xt,"SPAN",{});var wt=d(ve);u(I.$$.fragment,wt),wt.forEach(t),xt.forEach(t),Qe=m(qe),se=a(qe,"SPAN",{"data-svelte-h":!0}),g(se)!=="svelte-m2h6zr"&&(se.textContent=it),qe.forEach(t),we=m(e),H=a(e,"P",{"data-svelte-h":!0}),g(H)!=="svelte-1d4d2gz"&&(H.innerHTML=mt),Ee=m(e),V=a(e,"P",{"data-svelte-h":!0}),g(V)!=="svelte-11r0tff"&&(V.textContent=dt),Ne=m(e),x=a(e,"H2",{class:!0});var Ue=d(x);T=a(Ue,"A",{id:!0,class:!0,href:!0});var Et=d(T);ge=a(Et,"SPAN",{});var Nt=d(ge);u(j.$$.fragment,Nt),Nt.forEach(t),Et.forEach(t),We=m(Ue),ne=a(Ue,"SPAN",{"data-svelte-h":!0}),g(ne)!=="svelte-1w4w8ze"&&(ne.textContent=ct),Ue.forEach(t),Ce=m(e),w=a(e,"DIV",{class:!0});var Be=d(w);u(q.$$.fragment,Be),Xe=m(Be),oe=a(Be,"P",{"data-svelte-h":!0}),g(oe)!=="svelte-u4x3ci"&&(oe.textContent=ut),Be.forEach(t),Pe=m(e),E=a(e,"DIV",{class:!0});var Fe=d(E);u(U.$$.fragment,Fe),Ye=m(Fe),le=a(Fe,"P",{"data-svelte-h":!0}),g(le)!=="svelte-1eiyo9n"&&(le.innerHTML=ft),Fe.forEach(t),ke=m(e),N=a(e,"DIV",{class:!0});var Oe=d(N);u(B.$$.fragment,Oe),Ze=m(Oe),ie=a(Oe,"P",{"data-svelte-h":!0}),g(ie)!=="svelte-1eulmuj"&&(ie.innerHTML=pt),Oe.forEach(t),Le=m(e),C=a(e,"H2",{class:!0});var Ge=d(C);A=a(Ge,"A",{id:!0,class:!0,href:!0});var Ct=d(A);_e=a(Ct,"SPAN",{});var Pt=d(_e);u(F.$$.fragment,Pt),Pt.forEach(t),Ct.forEach(t),et=m(Ge),me=a(Ge,"SPAN",{"data-svelte-h":!0}),g(me)!=="svelte-1gb66g4"&&(me.textContent=ht),Ge.forEach(t),Se=m(e),O=a(e,"DIV",{class:!0});var kt=d(O);u(G.$$.fragment,kt),kt.forEach(t),Te=m(e),J=a(e,"DIV",{class:!0});var Lt=d(J);u(K.$$.fragment,Lt),Lt.forEach(t),Ae=m(e),R=a(e,"DIV",{class:!0});var St=d(R);u(Q.$$.fragment,St),St.forEach(t),De=m(e),W=a(e,"DIV",{class:!0});var Tt=d(W);u(X.$$.fragment,Tt),Tt.forEach(t),Me=m(e),Y=a(e,"DIV",{class:!0});var At=d(Y);u(Z.$$.fragment,At),At.forEach(t),ze=m(e),P=a(e,"H2",{class:!0});var Je=d(P);D=a(Je,"A",{id:!0,class:!0,href:!0});var Dt=d(D);$e=a(Dt,"SPAN",{});var Mt=d($e);u(ee.$$.fragment,Mt),Mt.forEach(t),Dt.forEach(t),tt=m(Je),de=a(Je,"SPAN",{"data-svelte-h":!0}),g(de)!=="svelte-1cym0yx"&&(de.textContent=vt),Je.forEach(t),Ie=m(e),_=a(e,"DIV",{class:!0});var z=d(_);u(te.$$.fragment,z),rt=m(z),ce=a(z,"P",{"data-svelte-h":!0}),g(ce)!=="svelte-4cuoeh"&&(ce.textContent=gt),at=m(z),ue=a(z,"P",{"data-svelte-h":!0}),g(ue)!=="svelte-1mfkm3t"&&(ue.textContent=_t),st=m(z),fe=a(z,"P",{"data-svelte-h":!0}),g(fe)!=="svelte-1x2w0p5"&&(fe.textContent=$t),z.forEach(t),He=m(e),k=a(e,"H2",{class:!0});var Ke=d(k);M=a(Ke,"A",{id:!0,class:!0,href:!0});var zt=d(M);be=a(zt,"SPAN",{});var It=d(be);u(re.$$.fragment,It),It.forEach(t),zt.forEach(t),nt=m(Ke),pe=a(Ke,"SPAN",{"data-svelte-h":!0}),g(pe)!=="svelte-1brocpd"&&(pe.textContent=bt),Ke.forEach(t),Ve=m(e),L=a(e,"DIV",{class:!0});var Re=d(L);u(ae.$$.fragment,Re),ot=m(Re),he=a(Re,"P",{"data-svelte-h":!0}),g(he)!=="svelte-tjmjug"&&(he.textContent=yt),Re.forEach(t),this.h()},h(){l(b,"name","hf:doc:metadata"),l(b,"content",JSON.stringify(Ot)),l(S,"id","general-utilities"),l(S,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(S,"href","#general-utilities"),l(y,"class","relative group"),l(T,"id","transformers.utils.ExplicitEnum"),l(T,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(T,"href","#transformers.utils.ExplicitEnum"),l(x,"class","relative group"),l(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(A,"id","transformers.add_start_docstrings"),l(A,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(A,"href","#transformers.add_start_docstrings"),l(C,"class","relative group"),l(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(D,"id","transformers.utils.cached_property"),l(D,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(D,"href","#transformers.utils.cached_property"),l(P,"class","relative group"),l(_,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(M,"id","transformers.utils._LazyModule"),l(M,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(M,"href","#transformers.utils._LazyModule"),l(k,"class","relative group"),l(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,s){n(document.head,b),o(e,xe,s),o(e,y,s),n(y,S),n(S,ve),f(I,ve,null),n(y,Qe),n(y,se),o(e,we,s),o(e,H,s),o(e,Ee,s),o(e,V,s),o(e,Ne,s),o(e,x,s),n(x,T),n(T,ge),f(j,ge,null),n(x,We),n(x,ne),o(e,Ce,s),o(e,w,s),f(q,w,null),n(w,Xe),n(w,oe),o(e,Pe,s),o(e,E,s),f(U,E,null),n(E,Ye),n(E,le),o(e,ke,s),o(e,N,s),f(B,N,null),n(N,Ze),n(N,ie),o(e,Le,s),o(e,C,s),n(C,A),n(A,_e),f(F,_e,null),n(C,et),n(C,me),o(e,Se,s),o(e,O,s),f(G,O,null),o(e,Te,s),o(e,J,s),f(K,J,null),o(e,Ae,s),o(e,R,s),f(Q,R,null),o(e,De,s),o(e,W,s),f(X,W,null),o(e,Me,s),o(e,Y,s),f(Z,Y,null),o(e,ze,s),o(e,P,s),n(P,D),n(D,$e),f(ee,$e,null),n(P,tt),n(P,de),o(e,Ie,s),o(e,_,s),f(te,_,null),n(_,rt),n(_,ce),n(_,at),n(_,ue),n(_,st),n(_,fe),o(e,He,s),o(e,k,s),n(k,M),n(M,be),f(re,be,null),n(k,nt),n(k,pe),o(e,Ve,s),o(e,L,s),f(ae,L,null),n(L,ot),n(L,he),je=!0},p:Vt,i(e){je||(p(I.$$.fragment,e),p(j.$$.fragment,e),p(q.$$.fragment,e),p(U.$$.fragment,e),p(B.$$.fragment,e),p(F.$$.fragment,e),p(G.$$.fragment,e),p(K.$$.fragment,e),p(Q.$$.fragment,e),p(X.$$.fragment,e),p(Z.$$.fragment,e),p(ee.$$.fragment,e),p(te.$$.fragment,e),p(re.$$.fragment,e),p(ae.$$.fragment,e),je=!0)},o(e){h(I.$$.fragment,e),h(j.$$.fragment,e),h(q.$$.fragment,e),h(U.$$.fragment,e),h(B.$$.fragment,e),h(F.$$.fragment,e),h(G.$$.fragment,e),h(K.$$.fragment,e),h(Q.$$.fragment,e),h(X.$$.fragment,e),h(Z.$$.fragment,e),h(ee.$$.fragment,e),h(te.$$.fragment,e),h(re.$$.fragment,e),h(ae.$$.fragment,e),je=!1},d(e){e&&(t(xe),t(y),t(we),t(H),t(Ee),t(V),t(Ne),t(x),t(Ce),t(w),t(Pe),t(E),t(ke),t(N),t(Le),t(C),t(Se),t(O),t(Te),t(J),t(Ae),t(R),t(De),t(W),t(Me),t(Y),t(ze),t(P),t(Ie),t(_),t(He),t(k),t(Ve),t(L)),t(b),v(I),v(j),v(q),v(U),v(B),v(F),v(G),v(K),v(Q),v(X),v(Z),v(ee),v(te),v(re),v(ae)}}}const Ot={local:"general-utilities",sections:[{local:"transformers.utils.ExplicitEnum",title:"Enums and namedtuples"},{local:"transformers.add_start_docstrings",title:"Special Decorators"},{local:"transformers.utils.cached_property",title:"Special Properties"},{local:"transformers.utils._LazyModule",title:"Other Utilities"}],title:"General Utilities"};function Gt(lt){return jt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Wt extends qt{constructor(b){super(),Ut(this,b,Gt,Ft,Ht,{})}}export{Wt as component};
