import{s as fe,n as me,o as de}from"../chunks/scheduler.9bc65507.js";import{S as ge,i as we,g as o,s,r as le,A as xe,h as r,f as t,c as l,j as P,u as ie,x as i,k as h,y as v,a as n,v as he,d as pe,t as ce,w as ue}from"../chunks/index.707bf1b6.js";import{I as ve}from"../chunks/IconCopyLink.d239c2d1.js";function _e(J){let p,A,c,f,$,d,U,b,K="XLS-R",H,u,m,M,g,I,k,F="Overview",R,w,G=`The XLS-R model was proposed in <a href="https://arxiv.org/abs/2111.09296" rel="nofollow">XLS-R: Self-supervised Cross-lingual Speech Representation Learning at Scale</a> by Arun Babu, Changhan Wang, Andros Tjandra, Kushal Lakhotia, Qiantong Xu, Naman
Goyal, Kritika Singh, Patrick von Platen, Yatharth Saraf, Juan Pino, Alexei Baevski, Alexis Conneau, Michael Auli.`,E,x,Q="The abstract from the paper is the following:",X,_,Y=`<em>This paper presents XLS-R, a large-scale model for cross-lingual speech representation learning based on wav2vec 2.0.
We train models with up to 2B parameters on nearly half a million hours of publicly available speech audio in 128
languages, an order of magnitude more public data than the largest known prior work. Our evaluation covers a wide range
of tasks, domains, data regimes and languages, both high and low-resource. On the CoVoST-2 speech translation
benchmark, we improve the previous state of the art by an average of 7.4 BLEU over 21 translation directions into
English. For speech recognition, XLS-R improves over the best known prior work on BABEL, MLS, CommonVoice as well as
VoxPopuli, lowering error rates by 14-34% relative on average. XLS-R also sets a new state of the art on VoxLingua107
language identification. Moreover, we show that with sufficient model size, cross-lingual pretraining can outperform
English-only pretraining when translating English speech into other languages, a setting which favors monolingual
pretraining. We hope XLS-R can help to improve speech processing tasks for many more languages of the world.</em>`,V,L,D="Tips:",W,C,Z=`<li>XLS-R is a speech model that accepts a float array corresponding to the raw waveform of the speech signal.</li> <li>XLS-R model was trained using connectionist temporal classification (CTC) so the model output has to be decoded using
<a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2CTCTokenizer">Wav2Vec2CTCTokenizer</a>.</li>`,B,S,ee='Relevant checkpoints can be found under <a href="https://huggingface.co/models?other=xls_r" rel="nofollow">https://huggingface.co/models?other=xls_r</a>.',N,y,te='XLS-R’s architecture is based on the Wav2Vec2 model, so one can refer to <a href="wav2vec2">Wav2Vec2’s documentation page</a>.',O,T,ae='The original code can be found <a href="https://github.com/pytorch/fairseq/tree/master/fairseq/models/wav2vec" rel="nofollow">here</a>.',j;return d=new ve({}),g=new ve({}),{c(){p=o("meta"),A=s(),c=o("h1"),f=o("a"),$=o("span"),le(d.$$.fragment),U=s(),b=o("span"),b.textContent=K,H=s(),u=o("h2"),m=o("a"),M=o("span"),le(g.$$.fragment),I=s(),k=o("span"),k.textContent=F,R=s(),w=o("p"),w.innerHTML=G,E=s(),x=o("p"),x.textContent=Q,X=s(),_=o("p"),_.innerHTML=Y,V=s(),L=o("p"),L.textContent=D,W=s(),C=o("ul"),C.innerHTML=Z,B=s(),S=o("p"),S.innerHTML=ee,N=s(),y=o("p"),y.innerHTML=te,O=s(),T=o("p"),T.innerHTML=ae,this.h()},l(e){const a=xe("svelte-1phssyn",document.head);p=r(a,"META",{name:!0,content:!0}),a.forEach(t),A=l(e),c=r(e,"H1",{class:!0});var z=P(c);f=r(z,"A",{id:!0,class:!0,href:!0});var ne=P(f);$=r(ne,"SPAN",{});var oe=P($);ie(d.$$.fragment,oe),oe.forEach(t),ne.forEach(t),U=l(z),b=r(z,"SPAN",{"data-svelte-h":!0}),i(b)!=="svelte-xlu39p"&&(b.textContent=K),z.forEach(t),H=l(e),u=r(e,"H2",{class:!0});var q=P(u);m=r(q,"A",{id:!0,class:!0,href:!0});var re=P(m);M=r(re,"SPAN",{});var se=P(M);ie(g.$$.fragment,se),se.forEach(t),re.forEach(t),I=l(q),k=r(q,"SPAN",{"data-svelte-h":!0}),i(k)!=="svelte-1jsw1pg"&&(k.textContent=F),q.forEach(t),R=l(e),w=r(e,"P",{"data-svelte-h":!0}),i(w)!=="svelte-1nyy59j"&&(w.innerHTML=G),E=l(e),x=r(e,"P",{"data-svelte-h":!0}),i(x)!=="svelte-vfdo9a"&&(x.textContent=Q),X=l(e),_=r(e,"P",{"data-svelte-h":!0}),i(_)!=="svelte-ul075o"&&(_.innerHTML=Y),V=l(e),L=r(e,"P",{"data-svelte-h":!0}),i(L)!=="svelte-axv494"&&(L.textContent=D),W=l(e),C=r(e,"UL",{"data-svelte-h":!0}),i(C)!=="svelte-12sorrm"&&(C.innerHTML=Z),B=l(e),S=r(e,"P",{"data-svelte-h":!0}),i(S)!=="svelte-p0mu8e"&&(S.innerHTML=ee),N=l(e),y=r(e,"P",{"data-svelte-h":!0}),i(y)!=="svelte-fxuwrw"&&(y.innerHTML=te),O=l(e),T=r(e,"P",{"data-svelte-h":!0}),i(T)!=="svelte-12gzw10"&&(T.innerHTML=ae),this.h()},h(){h(p,"name","hf:doc:metadata"),h(p,"content",JSON.stringify(Le)),h(f,"id","xlsr"),h(f,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(f,"href","#xlsr"),h(c,"class","relative group"),h(m,"id","overview"),h(m,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(m,"href","#overview"),h(u,"class","relative group")},m(e,a){v(document.head,p),n(e,A,a),n(e,c,a),v(c,f),v(f,$),he(d,$,null),v(c,U),v(c,b),n(e,H,a),n(e,u,a),v(u,m),v(m,M),he(g,M,null),v(u,I),v(u,k),n(e,R,a),n(e,w,a),n(e,E,a),n(e,x,a),n(e,X,a),n(e,_,a),n(e,V,a),n(e,L,a),n(e,W,a),n(e,C,a),n(e,B,a),n(e,S,a),n(e,N,a),n(e,y,a),n(e,O,a),n(e,T,a),j=!0},p:me,i(e){j||(pe(d.$$.fragment,e),pe(g.$$.fragment,e),j=!0)},o(e){ce(d.$$.fragment,e),ce(g.$$.fragment,e),j=!1},d(e){e&&(t(A),t(c),t(H),t(u),t(R),t(w),t(E),t(x),t(X),t(_),t(V),t(L),t(W),t(C),t(B),t(S),t(N),t(y),t(O),t(T)),t(p),ue(d),ue(g)}}}const Le={local:"xlsr",sections:[{local:"overview",title:"Overview"}],title:"XLS-R"};function Ce(J){return de(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class be extends ge{constructor(p){super(),we(this,p,Ce,_e,fe,{})}}export{be as component};
