import{s as _e,n as xe,o as Ce}from"../chunks/scheduler.36a0863c.js";import{S as we,i as Pe,g as n,s,r as me,A as ke,h as r,f as a,c as l,j as z,u as fe,x as i,k as d,y as m,a as t,v as he,d as ve,t as ge,w as be}from"../chunks/index.9c13489a.js";import{I as ye}from"../chunks/IconCopyLink.ec74b340.js";function qe(W){let c,j,u,f,$,v,G,L,X="Filosofía",A,g,Y="🤗 Transformers es una biblioteca construida para:",E,b,Z="<li>Los investigadores y educadores de NLP que busquen usar/estudiar/extender modelos transformers a gran escala</li> <li>Profesionales que quieren optimizar esos modelos y/o ponerlos en producción</li> <li>Ingenieros que solo quieren descargar un modelo preentrenado y usarlo para resolver una tarea NLP dada.</li>",N,y,ee="La biblioteca fue diseñada con dos fuertes objetivos en mente:",S,_,ae=`<li><p>Que sea tan fácil y rápida de utilizar como sea posible:</p> <ul><li>Hemos limitado enormemente el número de abstracciones que el usuario tiene que aprender. De hecho, no hay casi abstracciones,
solo tres clases estándar necesarias para usar cada modelo: <a href="main_classes/configuration">configuration</a>,
<a href="main_classes/model">models</a> y <a href="main_classes/tokenizer">tokenizer</a>.</li> <li>Todas estas clases pueden ser inicializadas de forma simple y unificada a partir de ejemplos pre-entrenados mediante el uso de un método
<code>from_pretrained()</code> común de solicitud que se encargará de descargar (si es necesario), almacenar y cargar la solicitud de clase relacionada y datos asociados
(configurations’ hyper-parameters, tokenizers’ vocabulary, and models’ weights) a partir de un control pre-entrenado proporcionado en
<a href="https://huggingface.co/models" rel="nofollow">Hugging Face Hub</a> o de tu propio control guardado.</li> <li>Por encima de esas tres clases estándar, la biblioteca proporciona dos APIs: <code>pipeline()</code> para usar rápidamente un modelo (junto a su configuracion y tokenizer asociados)
sobre una tarea dada, y <code>Trainer</code>/<code>Keras.fit</code> para entrenar u optimizar de forma rápida un modelo dado.</li> <li>Como consecuencia, esta biblioteca NO es una caja de herramientas modular de bloques individuales para redes neuronales. Si quieres extender/construir sobre la biblioteca,
usa simplemente los módulos regulares de Python/PyTorch/TensorFlow/Keras y emplea las clases estándar de la biblioteca como punto de partida para reutilizar funcionalidades
tales como abrir/guardar modelo.</li></ul></li> <li><p>Proporciona modelos modernos con rendimientos lo más parecido posible a los modelos originales:</p> <ul><li>Proporcionamos al menos un ejemplo para cada arquitectura que reproduce un resultado proporcionado por los autores de dicha arquitectura.</li> <li>El código normalmente es parecido al código base original, lo cual significa que algún código Pytorch puede no ser tan
<em>pytorchic</em> como podría ser por haber sido convertido a código TensorFlow, y viceversa.</li></ul></li>`,U,x,oe="Unos cuantos objetivos adicionales:",F,C,te="<li><p>Exponer las características internas de los modelos de la forma más coherente posible:</p> <ul><li>Damos acceso, mediante una sola API, a todos los estados ocultos y pesos de atención.</li> <li>Tokenizer y el modelo de API base están estandarizados para cambiar fácilmente entre modelos.</li></ul></li> <li><p>Incorporar una selección subjetiva de herramientas de gran potencial para la optimización/investigación de estos modelos:</p> <ul><li>Una forma sencilla/coherente de añadir nuevos tokens al vocabulario e incrustraciones (embeddings, en inglés) para optimización.</li> <li>Formas sencillas de camuflar y reducir “transformer heads”.</li></ul></li> <li><p>Cambiar fácilmente entre PyTorch y TensorFlow 2.0, permitiendo el entrenamiento usando un marco y la inferencia usando otro.</p></li>",I,p,h,H,w,V,M,ne="Conceptos principales",B,P,re="La biblioteca está construida alrededor de tres tipos de clases para cada modelo:",K,k,se=`<li><strong>Model classes</strong> como <code>BertModel</code>, que consisten en más de 30 modelos PyTorch (<a href="https://pytorch.org/docs/stable/nn.html#torch.nn.Module" rel="nofollow">torch.nn.Module</a>) o modelos Keras (<a href="https://www.tensorflow.org/api_docs/python/tf/keras/Model" rel="nofollow">tf.keras.Model</a>) que funcionan con pesos pre-entrenados proporcionados en la
biblioteca.</li> <li><strong>Configuration classes</strong> como <code>BertConfig</code>, que almacena todos los parámetros necesarios para construir un modelo.
No siempre tienes que generarla tu. En particular, si estas usando un modelo pre-entrenado sin ninguna modificación,
la creación del modelo se encargará automáticamente de generar la configuración (que es parte del modelo).</li> <li><strong>Tokenizer classes</strong> como <code>BertTokenizer</code>, que almacena el vocabulario para cada modelo y proporciona métodos para
codificar/decodificar strings en una lista de índices de “token embeddings” para ser empleados en un modelo.</li>`,D,q,le="Todas estas clases pueden ser generadas a partir de ejemplos pre-entrenados, y guardados localmente usando dos métodos:",O,T,ie=`<li><code>from_pretrained()</code> permite generar un modelo/configuración/tokenizer a partir de una versión pre-entrenada proporcionada ya sea por
la propia biblioteca (los modelos compatibles se pueden encontrar en <a href="https://huggingface.co/models" rel="nofollow">Model Hub</a>) o
guardados localmente (o en un servidor) por el usuario.</li> <li><code>save_pretrained()</code> permite guardar un modelo/configuración/tokenizer localmente, de forma que puede ser empleado de nuevo usando
<code>from_pretrained()</code>.</li>`,J;return v=new ye({}),w=new ye({}),{c(){c=n("meta"),j=s(),u=n("h1"),f=n("a"),$=n("span"),me(v.$$.fragment),G=s(),L=n("span"),L.textContent=X,A=s(),g=n("p"),g.textContent=Y,E=s(),b=n("ul"),b.innerHTML=Z,N=s(),y=n("p"),y.textContent=ee,S=s(),_=n("ul"),_.innerHTML=ae,U=s(),x=n("p"),x.textContent=oe,F=s(),C=n("ul"),C.innerHTML=te,I=s(),p=n("h2"),h=n("a"),H=n("span"),me(w.$$.fragment),V=s(),M=n("span"),M.textContent=ne,B=s(),P=n("p"),P.textContent=re,K=s(),k=n("ul"),k.innerHTML=se,D=s(),q=n("p"),q.textContent=le,O=s(),T=n("ul"),T.innerHTML=ie,this.h()},l(e){const o=ke("svelte-1phssyn",document.head);c=r(o,"META",{name:!0,content:!0}),o.forEach(a),j=l(e),u=r(e,"H1",{class:!0});var Q=z(u);f=r(Q,"A",{id:!0,class:!0,href:!0});var de=z(f);$=r(de,"SPAN",{});var ce=z($);fe(v.$$.fragment,ce),ce.forEach(a),de.forEach(a),G=l(Q),L=r(Q,"SPAN",{"data-svelte-h":!0}),i(L)!=="svelte-of729x"&&(L.textContent=X),Q.forEach(a),A=l(e),g=r(e,"P",{"data-svelte-h":!0}),i(g)!=="svelte-1vbdb49"&&(g.textContent=Y),E=l(e),b=r(e,"UL",{"data-svelte-h":!0}),i(b)!=="svelte-6xtsel"&&(b.innerHTML=Z),N=l(e),y=r(e,"P",{"data-svelte-h":!0}),i(y)!=="svelte-1wtux22"&&(y.textContent=ee),S=l(e),_=r(e,"UL",{"data-svelte-h":!0}),i(_)!=="svelte-1euljsf"&&(_.innerHTML=ae),U=l(e),x=r(e,"P",{"data-svelte-h":!0}),i(x)!=="svelte-116kkxj"&&(x.textContent=oe),F=l(e),C=r(e,"UL",{"data-svelte-h":!0}),i(C)!=="svelte-1stml3v"&&(C.innerHTML=te),I=l(e),p=r(e,"H2",{class:!0});var R=z(p);h=r(R,"A",{id:!0,class:!0,href:!0});var ue=z(h);H=r(ue,"SPAN",{});var pe=z(H);fe(w.$$.fragment,pe),pe.forEach(a),ue.forEach(a),V=l(R),M=r(R,"SPAN",{"data-svelte-h":!0}),i(M)!=="svelte-10y35fx"&&(M.textContent=ne),R.forEach(a),B=l(e),P=r(e,"P",{"data-svelte-h":!0}),i(P)!=="svelte-1wizrvd"&&(P.textContent=re),K=l(e),k=r(e,"UL",{"data-svelte-h":!0}),i(k)!=="svelte-1wjca98"&&(k.innerHTML=se),D=l(e),q=r(e,"P",{"data-svelte-h":!0}),i(q)!=="svelte-11kx7ql"&&(q.textContent=le),O=l(e),T=r(e,"UL",{"data-svelte-h":!0}),i(T)!=="svelte-nafgvv"&&(T.innerHTML=ie),this.h()},h(){d(c,"name","hf:doc:metadata"),d(c,"content",JSON.stringify(Te)),d(f,"id","filosofa"),d(f,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(f,"href","#filosofa"),d(u,"class","relative group"),d(h,"id","conceptos-principales"),d(h,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(h,"href","#conceptos-principales"),d(p,"class","relative group")},m(e,o){m(document.head,c),t(e,j,o),t(e,u,o),m(u,f),m(f,$),he(v,$,null),m(u,G),m(u,L),t(e,A,o),t(e,g,o),t(e,E,o),t(e,b,o),t(e,N,o),t(e,y,o),t(e,S,o),t(e,_,o),t(e,U,o),t(e,x,o),t(e,F,o),t(e,C,o),t(e,I,o),t(e,p,o),m(p,h),m(h,H),he(w,H,null),m(p,V),m(p,M),t(e,B,o),t(e,P,o),t(e,K,o),t(e,k,o),t(e,D,o),t(e,q,o),t(e,O,o),t(e,T,o),J=!0},p:xe,i(e){J||(ve(v.$$.fragment,e),ve(w.$$.fragment,e),J=!0)},o(e){ge(v.$$.fragment,e),ge(w.$$.fragment,e),J=!1},d(e){e&&(a(j),a(u),a(A),a(g),a(E),a(b),a(N),a(y),a(S),a(_),a(U),a(x),a(F),a(C),a(I),a(p),a(B),a(P),a(K),a(k),a(D),a(q),a(O),a(T)),a(c),be(v),be(w)}}}const Te={local:"filosofa",sections:[{local:"conceptos-principales",title:"Conceptos principales "}],title:"Filosofía"};function Le(W){return Ce(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class He extends we{constructor(c){super(),Pe(this,c,Le,qe,_e,{})}}export{He as component};
